Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038889
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Cash upmajoralways2018-07-04 15:112018-07-10 09:03
ReporterlmonrealView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision6813dfe07421
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038889: Cash up report- Withdrawal section is wrongly calculated because System is applying conversion rate twice.

DescriptionCash up report- Withdrawal section is wrongly calculated because System is applying conversion rate twice.
Steps To ReproducePre requisites

1. Have cash available in USD and EUR to return
2.Conversion rate is set to
USD-EUR divided by 1.314371 and multiply by 0.76082


Steps:
1. Pay a return with EUR (Avalanche transceiver, -150.50 eur)
2. Pay a return with USD (Avalanche transceiver, -197.81 usd)
3. Do a cash up
4. In back office download cash up report from the terminal
5. Check withdrawal section and it shows:

Cash EUR 150.50
Cash USD 150.50 (197.81 USD)
Total: 265

This is wrong 150.5 + 150.5 is 301. This is happening for the following reason:
The report shows the values already converted in EUROS (197.81 usd= 150.5 eur).However for CASH USD it is applying the conversion rate again to 150.50.

150.50 divided by conversion rate 1.314371 is 114.50.

Hence if I sum CASH EUR 150.50+ CASH USD 114.5= 265

So system is applying the conversion rate wrongly twice and this is why the sum is wrong.

Proposed SolutionApply conversion rate once.
TagsNo tags attached.
Attached Filespng file icon withdr.png [^] (17,955 bytes) 2018-07-04 15:11

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105689)
hgbot (developer)
2018-07-10 09:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 6813dfe07421c7f6ceea5dc7d1c930088de2ebee
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jul 10 12:32:51 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6813dfe07421c7f6ceea5dc7d1c930088de2ebee [^]

Fixed issue 38889 : Removed Additional Currency conversion for Withdrawals in Cashup Report

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---

- Issue History
Date Modified Username Field Change
2018-07-04 15:11 lmonreal New Issue
2018-07-04 15:11 lmonreal Assigned To => Retail
2018-07-04 15:11 lmonreal File Added: withdr.png
2018-07-04 15:11 lmonreal Triggers an Emergency Pack => No
2018-07-05 14:05 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-07-05 14:05 ranjith_qualiantech_com Status new => scheduled
2018-07-10 09:03 hgbot Checkin
2018-07-10 09:03 hgbot Note Added: 0105689
2018-07-10 09:03 hgbot Status scheduled => resolved
2018-07-10 09:03 hgbot Resolution open => fixed
2018-07-10 09:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6813dfe07421c7f6ceea5dc7d1c930088de2ebee [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker